﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.573
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace RastreamentoWebService
{
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;


    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class CodBarraDataSet : DataSet
    {

        private CODIGOS_DE_BARRADataTable tableCODIGOS_DE_BARRA;

        public CodBarraDataSet()
        {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        protected CodBarraDataSet(SerializationInfo info, StreamingContext context)
        {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null))
            {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["CODIGOS DE BARRA"] != null))
                {
                    this.Tables.Add(new CODIGOS_DE_BARRADataTable(ds.Tables["CODIGOS DE BARRA"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else
            {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public CODIGOS_DE_BARRADataTable CODIGOS_DE_BARRA
        {
            get
            {
                return this.tableCODIGOS_DE_BARRA;
            }
        }

        public override DataSet Clone()
        {
            CodBarraDataSet cln = ((CodBarraDataSet)(base.Clone()));
            cln.InitVars();
            return cln;
        }

        protected override bool ShouldSerializeTables()
        {
            return false;
        }

        protected override bool ShouldSerializeRelations()
        {
            return false;
        }

        protected override void ReadXmlSerializable(XmlReader reader)
        {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["CODIGOS DE BARRA"] != null))
            {
                this.Tables.Add(new CODIGOS_DE_BARRADataTable(ds.Tables["CODIGOS DE BARRA"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }

        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable()
        {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }

        internal void InitVars()
        {
            this.tableCODIGOS_DE_BARRA = ((CODIGOS_DE_BARRADataTable)(this.Tables["CODIGOS DE BARRA"]));
            if ((this.tableCODIGOS_DE_BARRA != null))
            {
                this.tableCODIGOS_DE_BARRA.InitVars();
            }
        }

        private void InitClass()
        {
            this.DataSetName = "CodBarraDataSet";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/CodBarraDataSet.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tableCODIGOS_DE_BARRA = new CODIGOS_DE_BARRADataTable();
            this.Tables.Add(this.tableCODIGOS_DE_BARRA);
        }

        private bool ShouldSerializeCODIGOS_DE_BARRA()
        {
            return false;
        }

        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove))
            {
                this.InitVars();
            }
        }

        public delegate void CODIGOS_DE_BARRARowChangeEventHandler(object sender, CODIGOS_DE_BARRARowChangeEvent e);

        [System.Diagnostics.DebuggerStepThrough()]
        public class CODIGOS_DE_BARRADataTable : DataTable, System.Collections.IEnumerable
        {

            private DataColumn columnCODIGO_ESTACAO;

            private DataColumn columnNOME_ESTACAO;

            private DataColumn columnCODIGO_MAN_SAIDA;

            private DataColumn columnCODIGO_TERM_SAIDA;

            private DataColumn columnCODIGO_COMP_VAZAO;

            private DataColumn columnCODIGO_CONV_VOLUME;

            private DataColumn columnCODIGO_MED_GAS;

            private DataColumn columnTAG_ESTACAO;

            internal CODIGOS_DE_BARRADataTable() :
                    base("CODIGOS DE BARRA")
            {
                this.InitClass();
            }

            internal CODIGOS_DE_BARRADataTable(DataTable table) :
                    base(table.TableName)
            {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive))
                {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString()))
                {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace))
                {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }

            [System.ComponentModel.Browsable(false)]
            public int Count
            {
                get
                {
                    return this.Rows.Count;
                }
            }

            internal DataColumn CODIGO_ESTACAOColumn
            {
                get
                {
                    return this.columnCODIGO_ESTACAO;
                }
            }

            internal DataColumn NOME_ESTACAOColumn
            {
                get
                {
                    return this.columnNOME_ESTACAO;
                }
            }

            internal DataColumn CODIGO_MAN_SAIDAColumn
            {
                get
                {
                    return this.columnCODIGO_MAN_SAIDA;
                }
            }

            internal DataColumn CODIGO_TERM_SAIDAColumn
            {
                get
                {
                    return this.columnCODIGO_TERM_SAIDA;
                }
            }

            internal DataColumn CODIGO_COMP_VAZAOColumn
            {
                get
                {
                    return this.columnCODIGO_COMP_VAZAO;
                }
            }

            internal DataColumn CODIGO_CONV_VOLUMEColumn
            {
                get
                {
                    return this.columnCODIGO_CONV_VOLUME;
                }
            }

            internal DataColumn CODIGO_MED_GASColumn
            {
                get
                {
                    return this.columnCODIGO_MED_GAS;
                }
            }

            internal DataColumn TAG_ESTACAOColumn
            {
                get
                {
                    return this.columnTAG_ESTACAO;
                }
            }

            public CODIGOS_DE_BARRARow this[int index]
            {
                get
                {
                    return ((CODIGOS_DE_BARRARow)(this.Rows[index]));
                }
            }

            public event CODIGOS_DE_BARRARowChangeEventHandler CODIGOS_DE_BARRARowChanged;

            public event CODIGOS_DE_BARRARowChangeEventHandler CODIGOS_DE_BARRARowChanging;

            public event CODIGOS_DE_BARRARowChangeEventHandler CODIGOS_DE_BARRARowDeleted;

            public event CODIGOS_DE_BARRARowChangeEventHandler CODIGOS_DE_BARRARowDeleting;

            public void AddCODIGOS_DE_BARRARow(CODIGOS_DE_BARRARow row)
            {
                this.Rows.Add(row);
            }

            public CODIGOS_DE_BARRARow AddCODIGOS_DE_BARRARow(string CODIGO_ESTACAO, string NOME_ESTACAO, string CODIGO_MAN_SAIDA, string CODIGO_TERM_SAIDA, string CODIGO_COMP_VAZAO, string CODIGO_CONV_VOLUME, string CODIGO_MED_GAS, string TAG_ESTACAO)
            {
                CODIGOS_DE_BARRARow rowCODIGOS_DE_BARRARow = ((CODIGOS_DE_BARRARow)(this.NewRow()));
                rowCODIGOS_DE_BARRARow.ItemArray = new object[] {
                        CODIGO_ESTACAO,
                        NOME_ESTACAO,
                        CODIGO_MAN_SAIDA,
                        CODIGO_TERM_SAIDA,
                        CODIGO_COMP_VAZAO,
                        CODIGO_CONV_VOLUME,
                        CODIGO_MED_GAS,
                        TAG_ESTACAO};
                this.Rows.Add(rowCODIGOS_DE_BARRARow);
                return rowCODIGOS_DE_BARRARow;
            }

            public System.Collections.IEnumerator GetEnumerator()
            {
                return this.Rows.GetEnumerator();
            }

            public override DataTable Clone()
            {
                CODIGOS_DE_BARRADataTable cln = ((CODIGOS_DE_BARRADataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }

            protected override DataTable CreateInstance()
            {
                return new CODIGOS_DE_BARRADataTable();
            }

            internal void InitVars()
            {
                this.columnCODIGO_ESTACAO = this.Columns["CODIGO_ESTACAO"];
                this.columnNOME_ESTACAO = this.Columns["NOME_ESTACAO"];
                this.columnCODIGO_MAN_SAIDA = this.Columns["CODIGO_MAN_SAIDA"];
                this.columnCODIGO_TERM_SAIDA = this.Columns["CODIGO_TERM_SAIDA"];
                this.columnCODIGO_COMP_VAZAO = this.Columns["CODIGO_COMP_VAZAO"];
                this.columnCODIGO_CONV_VOLUME = this.Columns["CODIGO_CONV_VOLUME"];
                this.columnCODIGO_MED_GAS = this.Columns["CODIGO_MED_GAS"];
                this.columnTAG_ESTACAO = this.Columns["TAG_ESTACAO"];
            }

            private void InitClass()
            {
                this.columnCODIGO_ESTACAO = new DataColumn("CODIGO_ESTACAO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_ESTACAO);
                this.columnNOME_ESTACAO = new DataColumn("NOME_ESTACAO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnNOME_ESTACAO);
                this.columnCODIGO_MAN_SAIDA = new DataColumn("CODIGO_MAN_SAIDA", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_MAN_SAIDA);
                this.columnCODIGO_TERM_SAIDA = new DataColumn("CODIGO_TERM_SAIDA", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_TERM_SAIDA);
                this.columnCODIGO_COMP_VAZAO = new DataColumn("CODIGO_COMP_VAZAO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_COMP_VAZAO);
                this.columnCODIGO_CONV_VOLUME = new DataColumn("CODIGO_CONV_VOLUME", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_CONV_VOLUME);
                this.columnCODIGO_MED_GAS = new DataColumn("CODIGO_MED_GAS", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnCODIGO_MED_GAS);
                this.columnTAG_ESTACAO = new DataColumn("TAG_ESTACAO", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTAG_ESTACAO);
            }

            public CODIGOS_DE_BARRARow NewCODIGOS_DE_BARRARow()
            {
                return ((CODIGOS_DE_BARRARow)(this.NewRow()));
            }

            protected override DataRow NewRowFromBuilder(DataRowBuilder builder)
            {
                return new CODIGOS_DE_BARRARow(builder);
            }

            protected override System.Type GetRowType()
            {
                return typeof(CODIGOS_DE_BARRARow);
            }

            protected override void OnRowChanged(DataRowChangeEventArgs e)
            {
                base.OnRowChanged(e);
                if ((this.CODIGOS_DE_BARRARowChanged != null))
                {
                    this.CODIGOS_DE_BARRARowChanged(this, new CODIGOS_DE_BARRARowChangeEvent(((CODIGOS_DE_BARRARow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowChanging(DataRowChangeEventArgs e)
            {
                base.OnRowChanging(e);
                if ((this.CODIGOS_DE_BARRARowChanging != null))
                {
                    this.CODIGOS_DE_BARRARowChanging(this, new CODIGOS_DE_BARRARowChangeEvent(((CODIGOS_DE_BARRARow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleted(DataRowChangeEventArgs e)
            {
                base.OnRowDeleted(e);
                if ((this.CODIGOS_DE_BARRARowDeleted != null))
                {
                    this.CODIGOS_DE_BARRARowDeleted(this, new CODIGOS_DE_BARRARowChangeEvent(((CODIGOS_DE_BARRARow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleting(DataRowChangeEventArgs e)
            {
                base.OnRowDeleting(e);
                if ((this.CODIGOS_DE_BARRARowDeleting != null))
                {
                    this.CODIGOS_DE_BARRARowDeleting(this, new CODIGOS_DE_BARRARowChangeEvent(((CODIGOS_DE_BARRARow)(e.Row)), e.Action));
                }
            }

            public void RemoveCODIGOS_DE_BARRARow(CODIGOS_DE_BARRARow row)
            {
                this.Rows.Remove(row);
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class CODIGOS_DE_BARRARow : DataRow
        {

            private CODIGOS_DE_BARRADataTable tableCODIGOS_DE_BARRA;

            internal CODIGOS_DE_BARRARow(DataRowBuilder rb) :
                    base(rb)
            {
                this.tableCODIGOS_DE_BARRA = ((CODIGOS_DE_BARRADataTable)(this.Table));
            }

            public string CODIGO_ESTACAO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableCODIGOS_DE_BARRA.CODIGO_ESTACAOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableCODIGOS_DE_BARRA.CODIGO_ESTACAOColumn] = value;
                }
            }

            public string NOME_ESTACAO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableCODIGOS_DE_BARRA.NOME_ESTACAOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableCODIGOS_DE_BARRA.NOME_ESTACAOColumn] = value;
                }
            }

            public string CODIGO_MAN_SAIDA
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableCODIGOS_DE_BARRA.CODIGO_MAN_SAIDAColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableCODIGOS_DE_BARRA.CODIGO_MAN_SAIDAColumn] = value;
                }
            }

            public string CODIGO_TERM_SAIDA
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableCODIGOS_DE_BARRA.CODIGO_TERM_SAIDAColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableCODIGOS_DE_BARRA.CODIGO_TERM_SAIDAColumn] = value;
                }
            }

            public string CODIGO_COMP_VAZAO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableCODIGOS_DE_BARRA.CODIGO_COMP_VAZAOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableCODIGOS_DE_BARRA.CODIGO_COMP_VAZAOColumn] = value;
                }
            }

            public string CODIGO_CONV_VOLUME
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableCODIGOS_DE_BARRA.CODIGO_CONV_VOLUMEColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableCODIGOS_DE_BARRA.CODIGO_CONV_VOLUMEColumn] = value;
                }
            }

            public string CODIGO_MED_GAS
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableCODIGOS_DE_BARRA.CODIGO_MED_GASColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableCODIGOS_DE_BARRA.CODIGO_MED_GASColumn] = value;
                }
            }

            public string TAG_ESTACAO
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tableCODIGOS_DE_BARRA.TAG_ESTACAOColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tableCODIGOS_DE_BARRA.TAG_ESTACAOColumn] = value;
                }
            }

            public bool IsCODIGO_ESTACAONull()
            {
                return this.IsNull(this.tableCODIGOS_DE_BARRA.CODIGO_ESTACAOColumn);
            }

            public void SetCODIGO_ESTACAONull()
            {
                this[this.tableCODIGOS_DE_BARRA.CODIGO_ESTACAOColumn] = System.Convert.DBNull;
            }

            public bool IsNOME_ESTACAONull()
            {
                return this.IsNull(this.tableCODIGOS_DE_BARRA.NOME_ESTACAOColumn);
            }

            public void SetNOME_ESTACAONull()
            {
                this[this.tableCODIGOS_DE_BARRA.NOME_ESTACAOColumn] = System.Convert.DBNull;
            }

            public bool IsCODIGO_MAN_SAIDANull()
            {
                return this.IsNull(this.tableCODIGOS_DE_BARRA.CODIGO_MAN_SAIDAColumn);
            }

            public void SetCODIGO_MAN_SAIDANull()
            {
                this[this.tableCODIGOS_DE_BARRA.CODIGO_MAN_SAIDAColumn] = System.Convert.DBNull;
            }

            public bool IsCODIGO_TERM_SAIDANull()
            {
                return this.IsNull(this.tableCODIGOS_DE_BARRA.CODIGO_TERM_SAIDAColumn);
            }

            public void SetCODIGO_TERM_SAIDANull()
            {
                this[this.tableCODIGOS_DE_BARRA.CODIGO_TERM_SAIDAColumn] = System.Convert.DBNull;
            }

            public bool IsCODIGO_COMP_VAZAONull()
            {
                return this.IsNull(this.tableCODIGOS_DE_BARRA.CODIGO_COMP_VAZAOColumn);
            }

            public void SetCODIGO_COMP_VAZAONull()
            {
                this[this.tableCODIGOS_DE_BARRA.CODIGO_COMP_VAZAOColumn] = System.Convert.DBNull;
            }

            public bool IsCODIGO_CONV_VOLUMENull()
            {
                return this.IsNull(this.tableCODIGOS_DE_BARRA.CODIGO_CONV_VOLUMEColumn);
            }

            public void SetCODIGO_CONV_VOLUMENull()
            {
                this[this.tableCODIGOS_DE_BARRA.CODIGO_CONV_VOLUMEColumn] = System.Convert.DBNull;
            }

            public bool IsCODIGO_MED_GASNull()
            {
                return this.IsNull(this.tableCODIGOS_DE_BARRA.CODIGO_MED_GASColumn);
            }

            public void SetCODIGO_MED_GASNull()
            {
                this[this.tableCODIGOS_DE_BARRA.CODIGO_MED_GASColumn] = System.Convert.DBNull;
            }

            public bool IsTAG_ESTACAONull()
            {
                return this.IsNull(this.tableCODIGOS_DE_BARRA.TAG_ESTACAOColumn);
            }

            public void SetTAG_ESTACAONull()
            {
                this[this.tableCODIGOS_DE_BARRA.TAG_ESTACAOColumn] = System.Convert.DBNull;
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class CODIGOS_DE_BARRARowChangeEvent : EventArgs
        {

            private CODIGOS_DE_BARRARow eventRow;

            private DataRowAction eventAction;

            public CODIGOS_DE_BARRARowChangeEvent(CODIGOS_DE_BARRARow row, DataRowAction action)
            {
                this.eventRow = row;
                this.eventAction = action;
            }

            public CODIGOS_DE_BARRARow Row
            {
                get
                {
                    return this.eventRow;
                }
            }

            public DataRowAction Action
            {
                get
                {
                    return this.eventAction;
                }
            }
        }
    }
}
